Insert object into scene
curl --request POST \
--url https://api.kynva.ai/api/v1/ai/insert-object \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"backgroundUrl": "<string>",
"objectUrl": "<string>",
"placement": "auto",
"customPosition": {
"x": 123,
"y": 123
},
"scale": 1,
"blendMode": "normal",
"shadowEnabled": false,
"shadow": {
"offsetX": 5,
"offsetY": 5,
"blur": 10,
"opacity": 0.5,
"color": "#000000"
},
"prompt": "<string>",
"outputFormat": "png",
"quality": 90
}
'import requests
url = "https://api.kynva.ai/api/v1/ai/insert-object"
payload = {
"backgroundUrl": "<string>",
"objectUrl": "<string>",
"placement": "auto",
"customPosition": {
"x": 123,
"y": 123
},
"scale": 1,
"blendMode": "normal",
"shadowEnabled": False,
"shadow": {
"offsetX": 5,
"offsetY": 5,
"blur": 10,
"opacity": 0.5,
"color": "#000000"
},
"prompt": "<string>",
"outputFormat": "png",
"quality": 90
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
backgroundUrl: '<string>',
objectUrl: '<string>',
placement: 'auto',
customPosition: {x: 123, y: 123},
scale: 1,
blendMode: 'normal',
shadowEnabled: false,
shadow: {offsetX: 5, offsetY: 5, blur: 10, opacity: 0.5, color: '#000000'},
prompt: '<string>',
outputFormat: 'png',
quality: 90
})
};
fetch('https://api.kynva.ai/api/v1/ai/insert-object', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"url": "<string>",
"width": 123,
"height": 123,
"placement": {
"x": 123,
"y": 123,
"scale": 123
},
"confidence": 123,
"reasoning": "<string>",
"processingTime": 123
}
}AI
Insert object into scene
Insert an object into a background scene using AI-powered placement
POST
/
api
/
v1
/
ai
/
insert-object
Insert object into scene
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
URL of the background/scene image
URL of the object image (should have transparent background)
Placement strategy (auto uses Claude Vision for intelligent placement)
Available options:
auto, center, left, right, top, bottom, custom Custom position (only used when placement is "custom")
Show child attributes
Show child attributes
Required range:
0.1 <= x <= 3Available options:
normal, multiply, screen, overlay, soft-light, hard-light Show child attributes
Show child attributes
Hint for AI placement: "place on the table"
Available options:
png, webp, jpg Required range:
1 <= x <= 100⌘I